For the complete documentation index, see llms.txt. This page is also available as Markdown.

Regions

IONOS CLOUD object storage regions define the location of the bucket and can also be used as LocationConstraint for bucket creation. This tag groups all operations for regions.

Retrieve all Regions

get

This endpoint enables retrieving all Regions using pagination and optional filters.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Query parameters
offsetinteger · int32Optional

The first element (of the total list of elements) to include in the response. Use this parameter together with the limit for pagination.

Default: 0Example: 0
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of elements to return. Use this parameter together with the offset for pagination.

Default: 100Example: 100
Responses
200

Returned all requested Regions successfully.

application/json

Pagination information. The offset and limit parameters are used to navigate the list of elements. The _links object contains URLs to navigate the different pages.

idstring · uuidRequired

ID of the list of Region resources.

Example: 1bcda4f5-f78b-532d-976d-183e3437af91
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the list of Region resources.

Example: /regions
offsetintegerRead-onlyRequired

The offset specified in the request (if none was specified, the default offset is 0).

Example: 0
limitintegerRead-onlyRequired

The limit specified in the request (if none was specified, use the endpoint's default pagination limit).

Example: 42
get/regions
GET /regions HTTP/1.1
Host: s3.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "1bcda4f5-f78b-532d-976d-183e3437af91",
  "type": "collection",
  "href": "/regions",
  "items": [
    {
      "id": "eu-central-3",
      "type": "region",
      "href": "/regions/eu-central-3",
      "metadata": {},
      "properties": {
        "version": 1,
        "endpoint": "s3.eu-central-3.ionoscloud.com",
        "website": "s3-website-de-central.profitbricks.com",
        "capability": {
          "iam": false,
          "s3select": true
        },
        "storageClasses": [
          "standard",
          "standardInfrequentAccess"
        ],
        "location": "de/fra",
        "bucketOwnership": "user-owned"
      }
    }
  ],
  "offset": 0,
  "limit": 42,
  "_links": {
    "prev": "http://PREVIOUS-PAGE-URI",
    "self": "http://THIS-PAGE-URI",
    "next": "http://NEXT-PAGE-URI"
  }
}

Retrieve Region

get

Returns the Region by Region.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
regionstringRequired

The Region of the Region.

Example: eu-central-3
Responses
200

Getting Region was successful.

application/json
idstringRequired

The Region of the Region.

Example: eu-central-3
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the Region.

Example: /regions/eu-central-3
metadataobject · NoMetadataRequired
get/regions/{region}
GET /regions/{region} HTTP/1.1
Host: s3.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "eu-central-3",
  "type": "region",
  "href": "/regions/eu-central-3",
  "metadata": {},
  "properties": {
    "version": 1,
    "endpoint": "s3.eu-central-3.ionoscloud.com",
    "website": "s3-website-de-central.profitbricks.com",
    "capability": {
      "iam": false,
      "s3select": true
    },
    "storageClasses": [
      "standard",
      "standardInfrequentAccess"
    ],
    "location": "de/fra",
    "bucketOwnership": "user-owned"
  }
}

Last updated

Was this helpful?